import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/webhooks/index.ts
function createWebhookEndpointsResource(client) {
  return {
    list({
      instanceId
    }) {
      return client.get(`/instances/${instanceId}/webhook-endpoints`);
    },
    create(_a) {
      var _b = _a, {
        instanceId
      } = _b, data = __objRest(_b, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/webhook-endpoints`, data);
    },
    delete({ instanceId, id }) {
      return client.delete(`/instances/${instanceId}/webhook-endpoints/${id}`);
    },
    getSecret({
      instanceId,
      id
    }) {
      return client.get(`/instances/${instanceId}/webhook-endpoints/${id}/secret`);
    },
    getPortalAccessUrl({
      instanceId
    }) {
      return client.get(`/instances/${instanceId}/webhook-endpoints/portal-access`);
    }
  };
}
var init_webhooks = __esm({
  "src/resources/webhooks/index.ts"() {
  }
});

export {
  createWebhookEndpointsResource,
  init_webhooks
};
